Your ads will be inserted here by

Easy Plugin for AdSense.

Please go to the plugin admin page to
Paste your ad code OR
Suppress this ad slot.

meltdown-spectre-apple

Recientemente, en las redes afloran los rumores sobre Meltdown y Spectre, nombres de las vulnerabilidades que permiten obtener datos confidenciales de un sistema informático, ya sea de un ordenador, tableta, smartphone, TVs, coches, etc.

Esto se debe a un bug físico, producto de una mala decisión de diseño hace muchos años. Anteriormente se le atribuyó a los chips de Intel pero que luego se demostró ocurre también en los de otros fabricantes como AMD o ARM.

El iPhone o iPad utilizan CPUs que, aunque están diseñadas por Apple, utilizan la arquitectura de ARM y, por lo tanto, están afectados por este problema presente en la mayoría de procesadores fabricados en los últimos diez años, tanto x86 como ARM.

Este inconveniente fue descubierto recientemente, cuando se encontró que la falla reside básicamente en una pequeña memoria cache que los procesadores utilizan para acelerar la ejecución de instrucciones.

Las vulnerabilidades utilizan un sistema predictivo que carga datos en esta memoria cache de manera anticipada y luego no la borra en su totalidad, permitiendo así la lectura de esos datos poco a poco. Es un proceso complicado y requiere la instalación de un programa en el sistema, con su contraseña de administrador, para funcionar.

La única manera de arreglarlo definitivamente es cambiando la CPU, pero como en los iPhone o iPad no puede hacerse, se están implementando cambios en sistemas operativos para solucionarlo vía software.

No todos los iPhone están afectados, depende del modelo. No obstante, no debes preocuparte mucho pues para utilizar el bug y acceder a información, hay que instalar un programa, y los dispositivos iOS de Apple solo permiten instalar apps desde la App Store, y como es poco probable que una App maliciosa se cuele en este repositorio, no hay que preocuparse.

El mayor riesgo está en las Mac o PC con Windows/Linux, pues aquí se pueden instalar fácilmente programas de procedencia desconocida. Sin embargo, ya existen actualizaciones como macOS 10.13.2 y también en Windows y Linux que palian este problema casi en su totalidad. iOS 11.2 también contiene un parche para este problema. Spectre se corregirá con actualizaciones de Safari.

Apple, Microsoft, Google, entre otras empresas, continúan trabajando para evitar este problema vía software en futuras actualizaciones.